# A Puppet module to add some Aegir-up-specific config

class aegir_up {
  notice("\n
          Running Puppet manifests to install and/or update Aegir.\n
          This may take awhile, so please be patient.
          For more detail on the operations being run, edit settings.rb,
          and set 'verbose = 1'.")

  # Set some defaults, and make output less verbose
  Group { loglevel => 'info' }
  Package { loglevel => 'info' }
  Notify { loglevel => 'info' }
  User { loglevel => 'info' }
  File { mode => 0644, loglevel => 'info' }
  Exec { path => [ "/bin/", "/sbin/" , "/usr/bin/", "/usr/sbin/" ] }

  file { '/etc/motd':
    content => "\n
                Welcome to your Aegir virtual machine!\n
                Built by Vagrant. Managed by Puppet.\n
                Developed and maintained by Praxis Labs Coop.\n"
  }

  class { 'aegir' :
  }

  class { 'aegir::queue_runner': }
  include drush-vagrant::users
  drush-vagrant::user { 'aegir':
    home_dir => '/var/aegir',
    require  => Class['aegir'],
  }

  exec {'aegir-up login':
    command     => "\
echo '*******************************************************************************'\n
echo '* Open the link below to access your new Aegir site:'\n
echo '*' `drush @hostmaster uli`\n
echo '*******************************************************************************'\n
",
    loglevel    => 'alert',
    logoutput   => true,
    user        => 'aegir',
    environment => 'HOME=/var/aegir',
    require     => Class['aegir::queue_runner'],
  }

}
